## org.eclipse.jetty.webapp
Class DefaultsDescriptor

    java.lang.Object
      org.eclipse.jetty.webapp.Descriptor
          org.eclipse.jetty.webapp.WebDescriptor
              org.eclipse.jetty.webapp.DefaultsDescriptor

    public class DefaultsDescriptor

extends WebDescriptor

DefaultsDescriptor

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.webapp.WebDescriptor
`WebDescriptor.MetaDataComplete`

Field Summary

Fields inherited from class org.eclipse.jetty.webapp.WebDescriptor
`_classNames, _distributable, _isOrdered, _majorVersion, _metaDataComplete, _minorVersion, _ordering, _parserSingleton`

Fields inherited from class org.eclipse.jetty.webapp.Descriptor
`_parser, _root, _validating, _xml`

Constructor Summary
`DefaultsDescriptor(Resource xml)`

Method Summary

Methods inherited from class org.eclipse.jetty.webapp.WebDescriptor
`addClassName, ensureParser, getClassNames, getMajorVersion, getMetaDataComplete, getMinorVersion, getOrdering, isDistributable, isOrdered, newParser, parse, processOrdering, processVersion, setDistributable, setValidating`

Methods inherited from class org.eclipse.jetty.webapp.Descriptor
`getResource, getRoot, redirect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultsDescriptor

    public DefaultsDescriptor(Resource xml)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.